# $Revision: 1.106 $, $Date: 2011/10/31 11:46:26 $
# TODO
# - unpackaged files:
#   /etc/distcc/clients.allow
#   /etc/distcc/commands.allow.sh
#   /etc/distcc/hosts
#
# Conditional build:
%bcond_without	gnome	# build without gnome(monitor) support

Summary:	Program to distribute compilation of C or C++
Summary(pl.UTF-8):	Program do rozdzielania kompilacji programów w C lub C++
Name:		distcc
Version:	3.1
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	http://distcc.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	a1a9d3853df7133669fffec2a9aab9f3
Source1:	%{name}.inetd
Source2:	%{name}.init
Source3:	%{name}.sh
Source4:	%{name}.csh
Source5:	%{name}.config
Source6:	%{name}.logrotate
Patch0:		%{name}-user.patch
URL:		http://www.distcc.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
%{?with_gnome:BuildRequires:	libgnomeui-devel >= 2.0}
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	python-devel
BuildRequires:	python-devel-tools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
distcc is a program to distribute compilation of C or C++ code across
several machines on a network. distcc should always generate the same
results as a local compile, is simple to install and use, and is often
two or more times faster than a local compile.

%description -l pl.UTF-8
distcc jest programem pozwalającym na dystrybucję kompilacji C lub C++
na kilka maszyn w sieci. distcc powinien zawsze generować takie same
rezultaty jak lokalna kompilacja, jest prosty w instalacji i użyciu
oraz bardzo często dwa lub więcej razy szybszy niż lokalna kompilacja.

%package common
Summary:	Common files for inetd and standalone versions of distcc
Summary(pl.UTF-8):	Pliki wspólne dla wersji inetd i standalone distcc
Group:		Daemons
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Suggests:	gcc
Suggests:	gcc-c++
Provides:	group(distcc)
Provides:	user(distcc)
Obsoletes:	distcc < 2.1-2

%description common
distcc is a program to distribute compilation of C or C++ code across
several machines on a network. distcc should always generate the same
results as a local compile, is simple to install and use, and is often
two or more times faster than a local compile.

%description common -l pl.UTF-8
distcc jest programem pozwalającym na dystrybucję kompilacji C lub C++
na kilka maszyn w sieci. distcc powinien zawsze generować takie same
rezultaty jak lokalna kompilacja, jest prosty w instalacji i użyciu
oraz bardzo często dwa lub więcej razy szybszy niż lokalna kompilacja.

%package include_server
Summary:	Conservative approximation of include dependencies for C/C++
Summary(pl.UTF-8):	Konserwatywna aproksymacja zależności nagłówków dla C/C++
Group:		Daemons

%description include_server
include_server.py starts an include server process. This process
answers queries from distcc(1) clients about what files to include in
C/C++ compilations. The include_server.py command itself terminates as
soon as the include server has been spawned.

%description include_server -l pl.UTF-8
include_server.py wywołuje proces serwera include. Proces ten
odpowiada na zapytania klientów distcc(1) dotyczące plików, które
należy dołączyć na etapie kompilacji C/C++. Polecenie
incluse_server.py kończy działanie jak tylko wywołany zostanie proces
serwera.

%package inetd
Summary:	inetd configs for distcc
Summary(pl.UTF-8):	Pliki konfiguracyjne do użycia distcc poprzez inetd
Group:		Daemons
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-inetd
Obsoletes:	distcc < 2.1-2

%description inetd
distcc configs for running from inetd.

%description inetd -l pl.UTF-8
Pliki konfiguracyjna distcc do startowania demona poprzez inetd.

%package standalone
Summary:	Standalone daemon configs for distcc
Summary(pl.UTF-8):	Pliki konfiguracyjne do startowania distcc w trybie standalone
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-scripts
Obsoletes:	distcc < 2.1-2

%description standalone
distcc configs for running as a standalone daemon.

%description standalone -l pl.UTF-8
Pliki konfiguracyjne distcc do startowania demona w trybie standalone.

%package monitor
Summary:	Monitor for distcc
Summary(pl.UTF-8):	Monitor dla distcc
Group:		Applications

%description monitor
Monitor for distcc.

%description monitor -l pl.UTF-8
Monitor dla distcc.

%package monitor-gnome
Summary:	GTK+ monitor for distcc
Summary(pl.UTF-8):	Monitor GTK+ dla distcc
Group:		X11/Applications

%description monitor-gnome
GTK+ monitor for distcc.

%description monitor-gnome -l pl.UTF-8
Monitor GTK+ dla distcc.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's#PKGDATADIR#"%{_pixmapsdir}"#g' src/mon-gnome.c

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--enable-rfc2553 \
	%{?with_gnome:--with-gnome}

%{__make} \
	WERROR_CFLAGS="" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig/rc-inetd,rc.d/init.d,profile.d,logrotate.d} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_var}/log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/distccd
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/distcc
cp -p %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT/etc/profile.d
%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/default/distcc
cp -p %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/distccd
cp -p %{SOURCE6} $RPM_BUILD_ROOT/etc/logrotate.d/distccd

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%if %{with gnome}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/distccmon-gnome.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/distccmon-gnome-icon.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}
%endif

touch $RPM_BUILD_ROOT%{_var}/log/distcc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre common
%groupadd -P %{name}-common -g 137 distcc
%useradd -P %{name}-common -u 137 -d /tmp -s /bin/false -c "distcc user" -g distcc distcc

%postun common
if [ "$1" = "0" ]; then
	%userremove distcc
	%groupremove distcc
fi

%post inetd
%service -q rc-inetd reload

%postun inetd
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%post standalone
/sbin/chkconfig --add distcc
%service distcc restart "distcc daemon"

%preun standalone
if [ "$1" = "0" ]; then
	%service distcc stop
	/sbin/chkconfig --del distcc
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README *.txt
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/lsdistcc
%attr(755,root,root) %{_bindir}/pump
%{_mandir}/man?/%{name}.*
%{_mandir}/man1/pump.1*
%attr(755,root,root) /etc/profile.d/*sh

%files common
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/distccd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/distccd
%attr(755,root,root) %{_bindir}/%{name}d
%{_mandir}/man?/%{name}d.*
%attr(640,distcc,root) %ghost %{_var}/log/distcc

%files include_server
%defattr(644,root,root,755)
%{py_sitedir}/include_server
%if "%{py_ver}" > "2.4"
%{py_sitedir}/include_server-*.egg-info
%endif
%{_mandir}/man1/include_server.1*

%files inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/distccd

%files standalone
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/distcc

%files monitor
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/distccmon-text
%{_mandir}/man1/distccmon-text.*

%if %{with gnome}
%files monitor-gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/distccmon-gnome
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: distcc.spec,v $
Revision 1.106  2011/10/31 11:46:26  glen
- fix two bits, rel 1

Revision 1.105  2010/01/21 20:36:39  glen
- todo

Revision 1.104  2009/11/08 10:42:54  adamg
- updated to 3.1

Revision 1.103  2008/09/20 20:52:00  sparky
- BR: python-devel, rpm-pythonprov

Revision 1.102  2008/09/20 20:42:42  sparky
- disable -Werror

Revision 1.101  2008/08/17 18:57:30  qboosh
- pl summary for -include_server

Revision 1.100  2008/08/07 15:08:55  adamg
- updated to 3.0 (parallel preprocessing support)
- include_server package
- as-needed.patch no longer needed

Revision 1.99  2007-11-18 18:21:49  sparky
- Suggests, instead of R: gcc, gcc-c++

Revision 1.98  2007-06-04 17:48:21  sparky
- added as-needed patch

Revision 1.97  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.96  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.95  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.94  2006/04/14 14:36:35  glen
- rel 2

Revision 1.93  2006/03/13 23:29:21  glen
- unify rc-inet reload (for services)

Revision 1.92  2006/02/24 15:35:49  glen
- use %service

Revision 1.91  2005/05/02 18:23:51  glen
- adapterized

Revision 1.90  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.89  2005/04/10 19:02:17  saq
- missing Req

Revision 1.88  2004/12/19 16:15:08  darekr
- BR: sed >= 4.0
- removed Source0-size

Revision 1.87  2004/12/01 07:23:29  misi3k
- updated 2.18.3

Revision 1.86  2004/11/12 11:06:13  arekm
- up to 2.18.2

Revision 1.85  2004/11/03 12:47:21  arekm
- up to 2.18.1

Revision 1.84  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.83  2004/10/17 17:13:05  ankry
- unified

Revision 1.82  2004/10/17 17:05:30  arekm
- rel 1

Revision 1.81  2004/10/17 17:03:27  arekm
- or put into common

Revision 1.80  2004/10/17 16:58:39  arekm
- rel 0.3; missing group added

Revision 1.79  2004/10/17 16:37:05  arekm
- rel 0.2; use distcc user instead of nobody

Revision 1.78  2004/10/12 20:46:30  paszczus
- massive attack: added Sources-size

Revision 1.77  2004/10/12 17:57:56  misi3k
- updated to 2.18

Revision 1.76  2004/09/26 21:51:32  kolodko
- added macros in /etc/logrotate.d

Revision 1.75  2004/08/30 07:12:14  misi3k
- updated to 2.17.1
- rel 0.1
- patch1 out

Revision 1.74  2004/08/14 08:58:48  misi3k
- rel 0.2
- added dcc_trace patch
  Note: builds, not tested

Revision 1.73  2004/08/13 06:08:31  misi3k
- updated to 2.17, NFY

Revision 1.72  2004/07/10 10:23:20  adamg
- updated to 2.16

Revision 1.71  2004/07/08 01:56:11  domelu
- proper chmod for /etc/profile.d/distcc.*

Revision 1.70  2004/07/06 14:25:23  arekm
- updated to 2.15

Revision 1.69  2004/06/06 02:44:44  arekm
- ups

Revision 1.68  2004/06/06 02:40:25  arekm
- 0.3

Revision 1.67  2004/05/21 13:37:17  arekm
- rel 0.2

Revision 1.66  2004/05/06 17:51:02  qboosh
- fixed build on amd64, removed duplicate from files

Revision 1.65  2004/05/06 16:35:38  qboosh
- defattr, switched to desktopdir, strict deps, fixed Obsoletes

Revision 1.64  2004/05/06 15:09:28  arekm
- really fix gnome

Revision 1.63  2004/05/06 14:54:32  areq
- BuildRequires:  libgnomeui-devel

Revision 1.62  2004/05/06 14:38:49  arekm
- gnome by default; TODO: fix log owner

Revision 1.61  2004/05/02 13:33:55  adamg
- updated to 2.14

Revision 1.60  2004/04/04 22:45:11  twittner
- fixed bcond names and description

Revision 1.59  2004/04/04 15:18:21  areq
- 2.13

Revision 1.58  2004/02/13 16:42:10  misi3k
- rel 3
- ipv6 support enabled

Revision 1.57  2004/02/08 06:58:36  misi3k
- rel 2
- added patch for handling -Wa,-al

Revision 1.56  2004/01/09 14:50:57  adamg
- updated to 2.12.1
- fixed GUI installation
- added distccmon-text man page

Revision 1.55  2003/12/22 12:22:36  misi3k
- updated to 2.12

Revision 1.54  2003/11/25 14:02:11  qboosh
- BR: autoconf 2.53 (BTS#776)

Revision 1.53  2003/10/23 21:36:25  adamg
- updated to 2.11.2

Revision 1.52  2003/10/08 09:03:29  qboosh
- fixed new bconds, cleanups/unifications, BR: autoconf

Revision 1.51  2003/09/27 12:08:49  misi3k
- logrotate file prems fix

Revision 1.50  2003/09/27 12:06:51  misi3k
- rel 2
- added log & logrotate file

Revision 1.49  2003/09/27 11:22:18  misi3k
- rel 1

Revision 1.48  2003/09/27 11:10:52  misi3k
- eh typo

Revision 1.47  2003/09/27 11:07:02  misi3k
- eh typo

Revision 1.46  2003/09/27 11:05:54  misi3k
- defattr in monitor subpackage

Revision 1.45  2003/09/27 11:03:35  misi3k
- rel 0.9
- updated to 2.11
- bconnd name change s/gtk/gnome/
- log cut
- added desktop, icon file
  Note: %configure --with-gnome problem

Revision 1.44  2003/08/28 21:33:07  blues
- simplified, cleaned

Revision 1.43  2003/08/28 08:20:30  ankry
- cosmetics

Revision 1.42  2003/08/25 22:27:28  ankry
- typo

Revision 1.41  2003/08/25 22:14:15  arekm
- split client/daemon and monitors into separate packages

Revision 1.40  2003/08/25 20:58:54  serek
- more BR.

Revision 1.39  2003/08/22 15:33:14  ankry
- spaces -> tabs

Revision 1.38  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.37  2003/08/15 10:01:32  misi3k
- updated to 2.10.1

Revision 1.36  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.35  2003/08/11 20:44:53  ankry
- cosmetics

Revision 1.34  2003/07/21 07:04:28  misi3k
- rel 2
- added gtk2 bcond (distcc-monitor)

Revision 1.33  2003/07/21 06:28:35  misi3k
- updated to 2.9

Revision 1.32  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.31  2003/07/10 03:55:24  misi3k
- updated to 2.8

Revision 1.30  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.29  2003/06/25 10:02:37  misi3k
- updated to 2.7.1

Revision 1.28  2003/06/17 12:04:57  ciril
- Updated to 2.7

Revision 1.27  2003/06/05 07:45:17  misi3k
- updated to 2.5.1

Revision 1.26  2003/05/27 19:51:30  misi3k
- updated to 2.5

Revision 1.25  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.24  2003/05/25 05:46:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/05/21 09:02:15  misi3k
- updated to 2.4
  Changes:
  BUG FIXES:
    * If an IO error occurs while trying to get a lock, bail out rather
      than getting stuck.
    * Don't use the RFC2553 getaddrinfo/getnameinfo API by default,
      because it seems to be slower on OS X and possibly problematic
      on other systems.  It can be enabled with --enable-rfc2553 if
      you want to use IPv6, multi-homed servers, or want to test the
      new API.

Revision 1.22  2003/05/17 19:40:15  misi3k
- updated to 2.3
- removed host file patch not needed

Revision 1.21  2003/05/11 20:05:42  misi3k
- damm typos

Revision 1.20  2003/05/11 20:04:31  misi3k
- next typo

Revision 1.19  2003/05/11 20:00:58  misi3k
- typo

Revision 1.18  2003/05/11 19:45:15  misi3k
- rel 2
- added distcc config file (HOSTS_ALLOW)
- now distccd works as user nobody

Revision 1.17  2003/05/05 19:13:48  misi3k
- updated to 2.2

Revision 1.16  2003/05/05 14:12:56  qboosh
- cleanups, moved R: from non-existent base to -common

Revision 1.15  2003/05/04 13:27:03  misi3k
- rel 2
- added init file
- split into subpages distcc-{common,inetd,standalone}

Revision 1.14  2003/05/03 19:38:58  misi3k
- updated to 2.1
- version patch removed, not needed

Revision 1.13  2003/04/06 08:35:55  misi3k
- rel 4
- added version patch (patch3)

Revision 1.12  2003/04/06 07:57:01  misi3k
- rel 3
- added hostopt patch

Revision 1.11  2003/03/31 20:04:01  misi3k
- rel 2
- added hostfile patch

Revision 1.10  2003/03/28 07:24:47  misi3k
- updated to 2.0.1

Revision 1.9  2003/03/26 06:07:37  misi3k
- rel 2
- added profile.d files

Revision 1.8  2003/03/10 22:56:20  misi3k
- updated to 1.2.3

Revision 1.7  2003/03/02 12:15:27  misi3k
- added user.patch
- rel. 2

Revision 1.6  2003/02/22 18:25:23  misi3k
- fix %doc (missing html files)

Revision 1.5  2003/02/22 17:35:26  misi3k
- updated to 1.2

Revision 1.4  2003/02/13 23:03:44  misi3k
- updated to 1.1

Revision 1.3  2003/01/16 11:30:25  areq
- 1.0, STBR

Revision 1.2  2002/12/01 12:47:13  tjbynum
- new version. - small translation fixes.

Revision 1.1  2002/10/12 16:00:36  misiek
- initial pld release
